aboutsummaryrefslogtreecommitdiffstats
path: root/package/kernel
diff options
context:
space:
mode:
authorDaniel Golle <daniel@makrotopia.org>2018-04-18 17:52:51 +0200
committerDaniel Golle <daniel@makrotopia.org>2018-04-18 17:55:23 +0200
commite633b21c14f8892657bade85681fc40bcf9cbffd (patch)
treeb45fdbf76455d6e95c3ab0a902d10dbaabd12901 /package/kernel
parenta18d88e8630acd7fd276caa50811b57470a01f9d (diff)
downloadupstream-e633b21c14f8892657bade85681fc40bcf9cbffd.tar.gz
upstream-e633b21c14f8892657bade85681fc40bcf9cbffd.tar.bz2
upstream-e633b21c14f8892657bade85681fc40bcf9cbffd.zip
Revert "mac80211: pass hostapd control socket to mesh-mode supplicant"
This reverts commit 1356a66f94f31e636fafec514a1c658356ef51b3. The change breaks wpa_supplicant.conf generation, more work is needed to fix mesh+AP. Signed-off-by: Daniel Golle <daniel@makrotopia.org>
Diffstat (limited to 'package/kernel')
-rw-r--r--package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
index 3a1d475a5c..bf9d52ae42 100644
--- a/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
+++ b/package/kernel/mac80211/files/lib/netifd/wireless/mac80211.sh
@@ -633,7 +633,7 @@ mac80211_setup_vif() {
if [ -n "$key" ]; then
wireless_vif_parse_encryption
freq="$(get_freq "$phy" "$channel")"
- mac80211_setup_supplicant || failed=1
+ mac80211_setup_supplicant_noctl || failed=1
else
json_get_vars mesh_id mcast_rate